Name:		arp-scan
Version:	1.10.0
Release:	%mkrel 2
Summary:	ARP scanning and fingerprinting tool
License:	BSD
Group:		Networking/Other
URL:		https://github.com/royhills/arp-scan
Source0:	https://github.com/royhills/arp-scan/archive/%{version}/arp-scan-%{version}.tar.gz
BuildRequires:	pcap-devel

%description
arp-scan is a command-line tool that uses the ARP protocol to discover and
fingerprint IP hosts on the local network. It is available for Linux and BSD
under the GPL licence.

%prep
%setup -q

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

%files
%{_bindir}/arp-fingerprint
%{_bindir}/arp-scan
%{_bindir}/get-iab
%{_bindir}/get-oui
%{_datadir}/arp-scan
%{_mandir}/man1/arp-fingerprint.1*
%{_mandir}/man1/arp-scan.1*
%{_mandir}/man1/get-oui.1*
%{_mandir}/man5/mac-vendor.5*
%{_sysconfdir}/arp-scan/mac-vendor.txt


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.10.0-2.mga10
+ Revision: 2225639
- Mageia 10 Mass Rebuild

* Tue Aug 20 2024 mrambo3501 <mrambo3501> 1.10.0-1.mga10
+ Revision: 2087179
- version 1.10.0
- fix %%files list

* Mon Mar 28 2022 umeabot <umeabot> 1.9.7-3.mga9
+ Revision: 1831020
- Mageia 9 Mass Rebuild

* Tue Feb 18 2020 umeabot <umeabot> 1.9.7-2.mga8
+ Revision: 1539344
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Dec 07 2019 guillomovitch <guillomovitch> 1.9.7-1.mga8
+ Revision: 1465008
- new version 1.9.7

* Sat Mar 16 2019 guillomovitch <guillomovitch> 1.9.5-1.mga7
+ Revision: 1377985
- new version 1.9.5

* Fri Sep 21 2018 umeabot <umeabot> 1.9-5.mga7
+ Revision: 1294559
- Mageia 7 Mass Rebuild

* Wed Feb 03 2016 umeabot <umeabot> 1.9-4.mga6
+ Revision: 933597
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.9-3.mga5
+ Revision: 744819
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.9-2.mga5
+ Revision: 677904
- Mageia 5 Mass Rebuild

* Fri Jun 13 2014 guillomovitch <guillomovitch> 1.9-1.mga5
+ Revision: 636024
- new version 1.9

* Sat Oct 19 2013 umeabot <umeabot> 1.8.4-2.mga4
+ Revision: 523542
- Mageia 4 Mass Rebuild

* Thu May 23 2013 guillomovitch <guillomovitch> 1.8.4-1.mga4
+ Revision: 424812
- new version

* Fri Jan 11 2013 umeabot <umeabot> 1.8.1-2.mga3
+ Revision: 346086
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 17 2011 guillomovitch <guillomovitch> 1.8.1-1.mga2
+ Revision: 168339
- imported package arp-scan


* Mon Jul 18 2011 Guillaume Rousse <guillomovitch@mandriva.org> 1.8.1-1mdv2011
+ Revision: 690343
- update to new version 1.8.1

* Thu Mar 10 2011 Guillaume Rousse <guillomovitch@mandriva.org> 1.8-1
+ Revision: 643448
- update to new version 1.8

* Fri Aug 27 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.7-1mdv2011.0
+ Revision: 573467
- import arp-scan

